# Start-DbcPowerBi

## SYNOPSIS
Launches one of the included dbachecks Power BI dashboards either the original for json files or the new one for database.
**You will need refresh* the Power BI dashboard every time to see the new results!

## SYNTAX

```
Start-DbcPowerBi [-FromDatabase] [[-Path] <String>] [-EnableException] [-WhatIf] [-Confirm]
 [<CommonParameters>]
```

## DESCRIPTION
Launches one of the included dbachecks Power BI dashboards either the original for json files or the new one for database.**You will need refresh* the Power BI dashboard every time to see the new results.

## EXAMPLES

### EXAMPLE 1
```
Start-DbcPowerBi -FromDatabase
```

Launches the Database Power Bi dashboard template, which will prompt for the Instance and database name

### EXAMPLE 2
```
Start-DbcPowerBi
```

Launches the Json PowerBi from "$script:ModuleRoot\bin\dbachecks.pbix" using "C:\windows\Temp\dbachecks\*.json" (generated by Update-DbcPowerBiDataSource) as the datasource.

### EXAMPLE 3
```
Start-DbcPowerBi -Path \\nas\projects\dbachecks.pbix
```

Launches \\\\nas\projects\dbachecks.pbix using "C:\windows\Temp\dbachecks\*.json" as the datasource

## PARAMETERS

### -FromDatabase
A Switch to use to open the database based PowerBi dashboard if you have stored the results in a database with Write-DbcTable.
If not chosen it will use the original Power Bi file with a json data source

```yaml
Type: SwitchParameter
Parameter Sets: (All)
Aliases:

Required: False
Position: Named
Default value: False
Accept pipeline input: False
Accept wildcard characters: False
```

### -Path
The location of the pbix or pbit file if you have moved it or want to use your own.
"$script:ModuleRoot\bin\dbachecks.pbix" or "$script:ModuleRoot\bin\dbachecks-FromDatabase.pbit"  by default.

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: False
Position: 1
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -EnableException
By default, when something goes wrong we try to catch it, interpret it and give you a friendly warning message.
This avoids overwhelming you with "sea of red" exceptions, but is inconvenient because it basically disables advanced scripting.
Using this switch turns this "nice by default" feature off and enables you to catch exceptions with your own try/catch.

```yaml
Type: SwitchParameter
Parameter Sets: (All)
Aliases:

Required: False
Position: Named
Default value: False
Accept pipeline input: False
Accept wildcard characters: False
```

### -WhatIf
Shows what would happen if the cmdlet runs.
The cmdlet is not run.

```yaml
Type: SwitchParameter
Parameter Sets: (All)
Aliases: wi

Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Confirm
Prompts you for confirmation before running the cmdlet.

```yaml
Type: SwitchParameter
Parameter Sets: (All)
Aliases: cf

Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters
This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about_CommonParameters](http://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

## OUTPUTS

## NOTES

## RELATED LINKS

[https://dbachecks.readthedocs.io/en/latest/functions/Start-DbcPowerBi/](https://dbachecks.readthedocs.io/en/latest/functions/Start-DbcPowerBi/)

